%global gem_name surro-gate
%global __requires_exclude ^rubygem\\((.*)\\)

Summary: A generic purrpose TCP-to-TCP proxy in Ruby
Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/skateman/surro-gate
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
A generic purrpose TCP-to-TCP proxy for Ruby implemented using epoll.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE*
%{gem_instdir}/bin
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.gitignore
%{gem_instdir}/.rspec
%{gem_instdir}/.rubocop.yml
%{gem_instdir}/.travis.yml
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/codecov.yml
%{gem_instdir}/*gemspec

%changelog
* Tue Mar 05 2019 Satoe Imaishi <simaishi@redhat.com> - 1.0.5-1
- Initial Build
